%%%-------------------------------------------------------------------------
%%% File    : foo.erl
%%% Purpose : Example application
%%% Created : 30 Nov 2002 by Scott Lystig Fritchie <slfritchie@snookles.com>
%%%-------------------------------------------------------------------------

-module(foo).
-compile([verbose, report_errors, report_warnings, trace, debug_info]).

-behaviour(application).

%% application callbacks
-export([start/0, start/2, stop/1]).

%%%----------------------------------------------------------------------
%%% Callback functions from application
%%%----------------------------------------------------------------------

%%%----------------------------------------------------------------------
%%% This isn't a complete application.  If this were a complete
%%% application, more stuff would probably be here.  This is just
%%% a simple example.
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: start/2
%% Returns: {ok, Pid}        |
%%          {ok, Pid, State} |
%%          {error, Reason}   
%%----------------------------------------------------------------------
start() ->
    start(xxxwhocares, [{qqq, example_tuple}]).

start(Type, StartArgs) ->
    %% 
    %% All of these io:format calls are for illustration & debugging only.
    %% 
    io:format("XXX ~w:start Type = ~w, StartArgs = ~w\n", [?MODULE, Type, StartArgs]),

    io:format("XXX ~w:start get_all_env() = ~w\n", [?MODULE,
						    application:get_all_env(foo)]),
    foo_sup:start_link(StartArgs ++ [{qqq, from_foo_erl},
				     {qqq, from_foo_erl_too}]).
    

%%----------------------------------------------------------------------
%% Func: stop/1
%% Returns: any 
%%----------------------------------------------------------------------
stop(State) ->
    ok.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
